POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "d48dd349-7bd4-46b5-8642-c053e4ebc126",
"batch_id": "bc6a8b84-0671-463d-8c50-e1fd4dc9d0c9",
"medistream_id": "498b90e2-c6f4-41a8-9442-60d03a397092",
"witness_id": "82102c98-202c-432d-8a9a-b5841ba2a739",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-03-11T06:51:50.1381886+00:00",
"stop_time": "2026-03-11T06:51:50.1381886+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>bc6a8b84-0671-463d-8c50-e1fd4dc9d0c9</batch_id> <compartment>1</compartment> <id>d48dd349-7bd4-46b5-8642-c053e4ebc126</id> <medistream_id>498b90e2-c6f4-41a8-9442-60d03a397092</medistream_id> <start_time>2026-03-11T06:51:50.1381886+00:00</start_time> <stop_time>2026-03-11T06:51:50.1381886+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>82102c98-202c-432d-8a9a-b5841ba2a739</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b88a472e-a38a-4f63-8760-dc6f7166ffa8"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b88a472e-a38a-4f63-8760-dc6f7166ffa8</guid>